<?php

use Illuminate\Foundation\Application;
use Illuminate\Foundation\Configuration\Exceptions;
use Illuminate\Foundation\Configuration\Middleware;
use App\Exceptions\Renderers\PermissionExceptionRenderer;
use Spatie\Permission\Exceptions\UnauthorizedException;

return Application::configure(basePath: dirname(__DIR__))
    ->withRouting(
        web: __DIR__ . '/../routes/web.php',
        api: __DIR__ . '/../routes/api.php',
        commands: __DIR__ . '/../routes/console.php',
        health: '/up',
    )
    ->withMiddleware(function (Middleware $middleware): void {
        // Đăng ký middleware nếu cần
    })
    ->withExceptions(function (Exceptions $exceptions): void {
        // Custom render UnauthorizedException from Spatie
        $exceptions->renderable(function (UnauthorizedException $e, $request) {
            return (new \App\Exceptions\Renderers\PermissionExceptionRenderer)($e, $request);
        });
    })
    ->withProviders([
        App\Providers\AuthServiceProvider::class,
        App\Providers\MiddlewareServiceProvider::class,
    ])
    ->create();
