<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('se_exercises', function (Blueprint $table) {
            $table->id();

            $table->unsignedBigInteger('subject_id');
            $table->string('lesson_name');
            $table->text('description')->nullable();
            $table->integer('level')->default(0);
            $table->string('avatar')->nullable();
            $table->integer('status')->default(1); //
            $table->unsignedBigInteger('category_id');
            $table->unsignedBigInteger('skill_id');
            $table->string('year')->nullable();
            $table->unsignedBigInteger('media_object_id')->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('se_exercises');
    }
};
