<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('se_question_groups', function (Blueprint $table) {
            $table->id();
            $table->text('content');
            $table->text('content_vi')->nullable();
            $table->unsignedBigInteger('exercise_id');

            $table->integer('is_question_order_fixed')->default(0);
            $table->integer('is_option_order_fixed')->default(0);
            $table->integer('position')->default(0);
            $table->text('paragraph')->nullable();
            $table->unsignedBigInteger('media_object_id')->nullable();

            $table->timestamps();
            $table->softDeletes();

        });
    }

    public function down(): void
    {
        Schema::dropIfExists('se_question_groups');
    }
};
