<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('se_questions', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('exercise_id');
            $table->text('content');
            $table->text('description')->nullable();
            $table->unsignedBigInteger('group_id')->nullable();
            $table->unsignedBigInteger('question_type_id');
            $table->integer('level')->default(0);
            $table->integer('score')->default(1);
            $table->text('answer')->nullable();
            $table->text('explanation')->nullable();
            $table->text('hint')->nullable();
            $table->unsignedBigInteger('media_object_id')->nullable();

            $table->timestamps();
            $table->softDeletes();

        });
    }

    public function down(): void
    {
        Schema::dropIfExists('se_questions');
    }
};
