<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('se_question_choices', function (Blueprint $table) {
            $table->id();

            // Chỉ giữ cột, không còn ràng buộc FK
            $table->unsignedBigInteger('question_id');
            $table->string('label')->nullable();
            $table->text('content')->nullable();
            $table->integer('is_correct')->default(0); // 0 = false, 1 = true
            // $table->json('media')->nullable();
            $table->unsignedBigInteger('media_object_id')->nullable();
            $table->integer('position')->default(0);

            $table->timestamps();
            $table->softDeletes();

        });
    }

    public function down(): void
    {
        Schema::dropIfExists('se_question_choices');
    }
};
