<?php

use App\Http\Controllers\Auth\LoginController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\DashboardController;

// Root
Route::get('/', function () {
    return auth()->check()
        ? redirect()->route('dashboard')
        : redirect()->route('login');
});

// Login form routes for guests only
Route::middleware('guest')->group(function () {
    Route::get('login', [LoginController::class, 'showLoginForm'])->name('login');
    Route::post('login', [LoginController::class, 'login']);
});

// Dashboard (chỉ auth)
Route::middleware('auth')->get('dashboard', [DashboardController::class, 'index'])->name('dashboard');
// Logout route for authenticated users only
Route::post('logout', [LoginController::class, 'logout'])->middleware('auth')->name('logout');
